#pragma once

#include <teb_local_planner/teb_config.h>

namespace armarx::navigation::local_planning
{
    // struct LocalPlannerParams;
    struct TimedElasticBandsParams;

    namespace arondto
    {
        struct LocalPlannerParams;
        struct TimedElasticBandsParams;

    } // namespace arondto

} // namespace armarx::navigation::local_planning

namespace armarx::navigation::local_planning
{
    void toAron(arondto::TimedElasticBandsParams& dto, const TimedElasticBandsParams& bo);
    void fromAron(const arondto::TimedElasticBandsParams& dto, TimedElasticBandsParams& bo);

    void toTebCfg(const arondto::TimedElasticBandsParams& dto, teb_local_planner::TebConfig& bo);

} // namespace armarx::navigation::local_planning
